Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 564 - Linuxconf can't be used as Installation Guide suggests
Summary: Linuxconf can't be used as Installation Guide suggests
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-22 23:24 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-18 22:15:50 UTC


Attachments (Terms of Use)

Description Chris Evans 1998-12-22 23:24:05 UTC
In the installation guide, running "linuxconf" is explained
from running both as root and non-root.
If you run as non-root, you are supposed to be able to enter
the root password to start.
Unfortunately running as non-root is not possible; the
linuxconf binary itself has far too restrictive permissions!

A discrepancy between documentation and reality like this is
_not_ good for newbies.

Finally note that the "run as non-root then enter root
password" mode may be disabled for (very valid) security
reasons.

Comment 1 Jay Turner 1998-12-30 22:41:59 UTC
I have verified this to be true. Running linuxconf as a normal user as
stated by the User's Guide fails complaining of permission denied. A
list in of the linuxconf binary produces

-rwx------  1  root  root  789024  Oct 12  linuxconf

Comment 2 Jay Turner 1998-12-30 22:42:59 UTC
I have verified this to be true. Running linuxconf as a normal user as
stated by the User's Guide fails complaining of permission denied. A
list in of the linuxconf binary produces

-rwx------  1  root  root  789024  Oct 12  linuxconf

Comment 3 Michael K. Johnson 1999-03-18 22:15:59 UTC
This is an intentional attempt on our part to avoid security holes.
I will report this to the documentation department.


Note You need to log in before you can comment on or make changes to this bug.